Bug 215248 - OpenOffice-Writer crash
OpenOffice-Writer crash
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
Depends On:
  Show dependency treegraph
Reported: 2006-11-12 16:34 EST by François De Jonghe
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-11-14 05:09:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Plat tekstbestand met log van Linux over OOo-crash (7.16 KB, patch)
2006-11-12 16:34 EST, François De Jonghe
no flags Details | Diff

  None (edit)
Description François De Jonghe 2006-11-12 16:34:25 EST
Description of problem:

OpenOffice Writer crasht telkens, zelfs na herhaalde installatie.

Version-Release number of selected component (if applicable):

OpenOffice Writer

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 François De Jonghe 2006-11-12 16:34:25 EST
Created attachment 141011 [details]
Plat tekstbestand met log van Linux over OOo-crash
Comment 2 François De Jonghe 2006-11-12 16:36:24 EST
(I) x.org loaded video driver of... 
(II) Loading /usr/lib/xorg/modules/drivers/s3virge_drv.so 
(III) Desktop is: GNOME 
(IV) libgcj version is: libgcj-4.1.1-30-i386 
(V) kernel is: Linux 2.6.18-1.2798.fc6 #1 SMP Mon Oct 16 14:37:32 EDT 2006 i686
i686 i386 
(VI) OpenOffice.org core rpm version is: openoffice.org-core-2.0.4-5.3-i386 
(VII) depth of root window: 24 planes 
(VIII) accessibility is: false 
(VIV) fedora release is: Fedora Core release 6 (Zod) 
...start sestatus details ... 
SELinux status: enabled 
SELinuxfs mount: /selinux 
Current mode: enforcing 
Mode from config file: enforcing 
Policy version: 21 
Policy from config file: targeted 
...end sestatus details ... 
...start stackreport details ... 
0x446baf28: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x22f28 
0x446bbbbb: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x23bbb 
0x55b420: + 0x420 (__kernel_sigreturn + 0x0) 
0x4aafb5df: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x29f5df
(Edit::StateChanged(unsigned short) + 0xbf) 
0x4aaf56b0: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x2996b0
(ComboBox::StateChanged(unsigned short) + 0x30) 
0x4c493650: /usr/lib/openoffice.org2.0/program/libsvx680li.so + 0x4dd650 
0x4aacbe47: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x26fe47
(Window::Show(unsigned char, unsigned short) + 0xd7) 
0x4aaaeba5: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x252ba5 
0x4aaaf6f0: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x2536f0
(ToolBox::StateChanged(unsigned short) + 0x110) 
0x4ce1fb00: /usr/lib/openoffice.org2.0/program/libfwk680li.so + 0x1f8b00 
0x4aabdcc5: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x261cc5 
0x4aacc0d8: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x2700d8
(Window::Show(unsigned char, unsigned short) + 0x368) 
0x4cd229ad: /usr/lib/openoffice.org2.0/program/libfwk680li.so + 0xfb9ad 
0x4cd237d7: /usr/lib/openoffice.org2.0/program/libfwk680li.so + 0xfc7d7 
0x4bb2f84b: /usr/lib/openoffice.org2.0/program/libtk680li.so + 0x1ca84b 
0x4ba562d1: /usr/lib/openoffice.org2.0/program/libtk680li.so + 0xf12d1
(VCLXWindow::ProcessWindowEvent(VclWindowEvent const&) + 0x4b1) 
0x4ba53233: /usr/lib/openoffice.org2.0/program/libtk680li.so + 0xee233
(VCLXWindow::WindowEventListener(VclSimpleEvent*) + 0x63) 
0x4ba53264: /usr/lib/openoffice.org2.0/program/libtk680li.so + 0xee264
(VCLXWindow::LinkStubWindowEventListener(void*, void*) + 0x24) 
0x4a8fa68d: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x9e68d
(VclEventListeners::Call(VclSimpleEvent*) const + 0xad) 
0x4aac9743: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x26d743
(Window::CallEventListeners(unsigned long, void*) + 0x103) 
0x4aac979b: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x26d79b
(Window::ImplCallEventListeners(unsigned long, void*) + 0x2b) 
0x4aaca3ff: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x26e3ff 
0x4aaca3ae: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x26e3ae 
0x4aacc11a: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x27011a
(Window::Show(unsigned char, unsigned short) + 0x3aa) 
0x4aacbea5: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x26fea5
(Window::Show(unsigned char, unsigned short) + 0x135) 
0x4ba5824e: /usr/lib/openoffice.org2.0/program/libtk680li.so + 0xf324e
(VCLXWindow::setVisible(unsigned char) + 0x4e) 
0x4cdbc9fa: /usr/lib/openoffice.org2.0/program/libfwk680li.so + 0x1959fa 
0x4cdc23cf: /usr/lib/openoffice.org2.0/program/libfwk680li.so + 0x19b3cf 
0x4cdc2632: /usr/lib/openoffice.org2.0/program/libfwk680li.so + 0x19b632 
0x4cdc8c08: /usr/lib/openoffice.org2.0/program/libfwk680li.so + 0x1a1c08 
0x4cdc93da: /usr/lib/openoffice.org2.0/program/libfwk680li.so + 0x1a23da 
0x4cdc98f5: /usr/lib/openoffice.org2.0/program/libfwk680li.so + 0x1a28f5 
0x4cc6e103: /usr/lib/openoffice.org2.0/program/libfwk680li.so + 0x47103 
0x45e9005f: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x3e05f
_STL::allocator<desktop> > const&) + 0x18cf) 
0x45e82911: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x30911
+ 0x151) 
0x45e6cef5: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x1aef5
(desktop::Desktop::OpenDefault() + 0x195) 
0x45e7cb78: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x2ab78
(desktop::Desktop::OpenClients() + 0xf98) 
0x45e7e310: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x2c310
(desktop::Desktop::OpenClients_Impl(void*) + 0x50) 
0x45e7e3c4: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x2c3c4
(desktop::Desktop::LinkStubOpenClients_Impl(void*, void*) + 0x24) 
0x4aade1b6: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x2821b6 
0x7eb381: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x50381
(SalDisplay::DispatchInternalEvent() + 0xb1) 
0x2ded56: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0xfd56 
0x2ded91: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0xfd91 
0x43ddd5e1: /lib/libglib-2.0.so.0 + 0x295e1 
0x43ddf342: /lib/libglib-2.0.so.0 + 0x2b342 (g_main_context_dispatch + 0x182) 
0x43de231f: /lib/libglib-2.0.so.0 + 0x2e31f 
0x43de2885: /lib/libglib-2.0.so.0 + 0x2e885 (g_main_context_iteration + 0x65) 
0x2e0c81: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x11c81 
0x7ec8a7: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x518a7
(X11SalInstance::Yield(bool, bool) + 0x37) 
0x4a8f1598: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x95598
(Application::Yield(bool) + 0x68) 
0x4a8f166c: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x9566c
(Application::Execute() + 0x3c) 
0x45e78369: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x26369
(desktop::Desktop::Main() + 0x1779) 
0x4a8f71ac: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x9b1ac 
0x4a8f72b5: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x9b2b5
(SVMain() + 0x35) 
0x45e69a69: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x17a69 (sal_main
+ 0x59) 
0x45e69af4: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x17af4 (main +
0x439d8f2c: /lib/libc.so.6 + 0x15f2c (__libc_start_main + 0xdc) 
0x80484a1: /usr/lib/openoffice.org2.0/program/swriter.bin + 0x4a1 
...end stackreport details ... 
...start sample ldd details ... 
linux-gate.so.1 => (0x00e99000) 
libuno_sal.so.3 => /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 (0x00aa5000) 
libuno_salhelpergcc3.so.3 =>
/usr/lib/openoffice.org2.0/program/libuno_salhelpergcc3.so.3 (0x00f89000) 
libstore.so.3 => /usr/lib/openoffice.org2.0/program/libstore.so.3 (0x0064a000) 
libdl.so.2 => /lib/libdl.so.2 (0x0028a000) 
libpthread.so.0 => /lib/libpthread.so.0 (0x0055b000) 
libstlport_gcc.so => /usr/lib/openoffice.org2.0/program/libstlport_gcc.so
libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0x007fe000) 
libm.so.6 => /lib/libm.so.6 (0x00582000) 
libgcc_s.so.1 => /lib/libgcc_s.so.1 (0x009fa000) 
libc.so.6 => /lib/libc.so.6 (0x0028e000) 
libcrypt.so.1 => /lib/libcrypt.so.1 (0x001d7000) 
/lib/ld-linux.so.2 (0x42ff4000) 
...end sample ldd details ... 
Comment 3 Caolan McNamara 2006-11-13 04:07:20 EST
"OpenOffice Writer crashes every time, even after a repeated installation.".

That's strange, there hasn't been any other reports like this one for FC6,
accessibility is false, and GNOME is the desktop environment, and this is all
the same as my own installation which doesn't show this problem.

Do you know of anything unusual about your installation of FC, a custom theme of
some kind of anything of that nature ?
Comment 4 Caolan McNamara 2006-11-14 04:25:33 EST
Can you 

> tar cvzf openofficeconfig.tar.gz ~/.openoffice.org2.0

and attach that new file to this issue, 
Comment 5 François De Jonghe 2006-11-14 04:54:41 EST
(In reply to comment #4)
> Can you 
> > tar cvzf openofficeconfig.tar.gz ~/.openoffice.org2.0
> and attach that new file to this issue, 

Sorry people, but this problem has been solved, i removed the OpenOffice-core 
complete, and reinstalled again, and after a reboot it was all Oke.
This topic may be closed.

Comment 6 Caolan McNamara 2006-11-14 05:09:01 EST
hmm, worrying, but not-reproducable

Note You need to log in before you can comment on or make changes to this bug.